| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Gaudi::Utils::Aida2ROOT Class Reference

`#include <GaudiKernel/Aida2ROOT.h>`

List of all members.

## Detailed Description

Accessor to underlying ROOT-representation of transient histograms The actual code is imported from Bender project.

It relies on PI implementation of AIDA interface, modified by Markus FRANK.

See also:
  Gaudi::H1D

  Gaudi::H2D

  Gaudi::H3D

  Gaudi::Profile1D

  Gaudi::Profile2D

  AIDA::IHistogram1D

  AIDA::IHistogram2D

  AIDA::IHistogram3D

  AIDA::IProfile1D

  AIDA::IProfile2D

Author:
  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2007-01-23

Definition at line 59 of file Aida2ROOT.h.

## Static Public Member Functions
static TH1D * | aida2root (AIDA::IHistogram1D *aida)
| get the underlying pointer for 1D-histogram
static TH2D * | aida2root (AIDA::IHistogram2D *aida)
| get the underlying pointer for 2D-histogram
static TH3D * | aida2root (AIDA::IHistogram3D *aida)
| get the underlying pointer for 3D-histogram
static TProfile * | aida2root (AIDA::IProfile1D *aida)
| get the underlying pointer for 1D-profile
static TProfile2D * | aida2root (AIDA::IProfile2D *aida)
| get the underlying pointer for 2D-profile
static TObject * | aida2root (AIDA::IHistogram *aida)
| get root representation for other cases

## Member Function Documentation

TH1D * Gaudi::Utils::Aida2ROOT::aida2root | ( | AIDA::IHistogram1D * | aida | ) | `[static]`

get the underlying pointer for 1D-histogram

Definition at line 37 of file Aida2ROOT.cpp.

    00038 {
    00039   if ( 0 == aida ) { return 0 ; }
    00040   Gaudi::HistogramBase* base = dynamic_cast<Gaudi::HistogramBase*> ( aida ) ;
    00041   if ( 0 == base ) { return 0 ; }
    00042   return dynamic_cast<TH1D*>( base->representation() ) ;
    00043 }

TH2D * Gaudi::Utils::Aida2ROOT::aida2root | ( | AIDA::IHistogram2D * | aida | ) | `[static]`

get the underlying pointer for 2D-histogram

Definition at line 47 of file Aida2ROOT.cpp.

    00048 {
    00049   if ( 0 == aida ) { return 0 ; }
    00050   Gaudi::HistogramBase* base = dynamic_cast<Gaudi::HistogramBase*> ( aida ) ;
    00051   if ( 0 == base ) { return 0 ; }
    00052   return dynamic_cast<TH2D*>( base->representation() ) ;
    00053 }

TH3D * Gaudi::Utils::Aida2ROOT::aida2root | ( | AIDA::IHistogram3D * | aida | ) | `[static]`

get the underlying pointer for 3D-histogram

Definition at line 57 of file Aida2ROOT.cpp.

    00058 {
    00059   if ( 0 == aida ) { return 0 ; }
    00060   Gaudi::HistogramBase* base = dynamic_cast<Gaudi::HistogramBase*> ( aida ) ;
    00061   if ( 0 == base ) { return 0 ; }
    00062   return dynamic_cast<TH3D*>( base->representation() ) ;
    00063 }

TProfile * Gaudi::Utils::Aida2ROOT::aida2root | ( | AIDA::IProfile1D * | aida | ) | `[static]`

get the underlying pointer for 1D-profile

Definition at line 67 of file Aida2ROOT.cpp.

    00068 {
    00069   if ( 0 == aida ) { return 0 ; }
    00070   Gaudi::HistogramBase* base = dynamic_cast<Gaudi::HistogramBase*> ( aida ) ;
    00071   if ( 0 == base ) { return 0 ; }
    00072   return dynamic_cast<TProfile*>( base->representation() ) ;
    00073 }

TProfile2D * Gaudi::Utils::Aida2ROOT::aida2root | ( | AIDA::IProfile2D * | aida | ) | `[static]`

get the underlying pointer for 2D-profile

Definition at line 77 of file Aida2ROOT.cpp.

    00078 {
    00079   if ( 0 == aida ) { return 0 ; }
    00080   Gaudi::HistogramBase* base = dynamic_cast<Gaudi::HistogramBase*> ( aida ) ;
    00081   if ( 0 == base ) { return 0 ; }
    00082   return dynamic_cast<TProfile2D*>( base->representation() ) ;
    00083 }

TObject * Gaudi::Utils::Aida2ROOT::aida2root | ( | AIDA::IHistogram * | aida | ) | `[static]`

get root representation for other cases

Definition at line 87 of file Aida2ROOT.cpp.

    00088 {
    00089   if ( 0 == aida ) { return 0 ; }
    00090   Gaudi::HistogramBase* base = dynamic_cast<Gaudi::HistogramBase*> ( aida ) ;
    00091   if ( 0 == base ) { return 0 ; }
    00092   return base->representation() ;
    00093 }

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiUtils/v2r0/GaudiUtils/Aida2ROOT.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiUtils/v2r0/src/Lib/Aida2ROOT.cpp